Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.linker
Class SingleScriptLinker

    java.lang.Object
      com.google.gwt.core.ext.Linker
          com.google.gwt.core.ext.linker.AbstractLinker
              com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
                  com.google.gwt.core.linker.SingleScriptLinker

    @LinkerOrder(value=PRIMARY)
    @Shardable
    public class SingleScriptLinker

extends com.google.gwt.core.ext.linker.impl.SelectionScriptLinker

A Linker for producing a single JavaScript file from a GWT module. The use of this Linker requires that the module has exactly one distinct compilation result.

Field Summary

Fields inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
`COMPUTE_SCRIPT_BASE_JS, FRAGMENT_EXTENSION, FRAGMENT_SUBDIR, permutationsUtil, PROCESS_METAS_JS, USE_SOURCE_MAPS_PROPERTY`

Constructor Summary
`SingleScriptLinker()`

Method Summary
`protected java.util.Collection<Artifact<?>>` | `doEmitCompilation(TreeLogger logger, LinkerContext context, CompilationResult result, ArtifactSet artifacts)`
`protected EmittedArtifact` | `emitSelectionScript(TreeLogger logger, LinkerContext context, ArtifactSet artifacts)`
`protected java.lang.String` | `getCompilationExtension(TreeLogger logger, LinkerContext context)` Unimplemented.
`java.lang.String` | `getDescription()` Returns a human-readable String describing the Linker.
`protected java.lang.String` | `getModulePrefix(TreeLogger logger, LinkerContext context, java.lang.String strongName)` Unimplemented.
`protected java.lang.String` | `getModuleSuffix(TreeLogger logger, LinkerContext context)` Unimplemented.
`protected java.lang.String` | `getSelectionScriptTemplate(TreeLogger logger, LinkerContext context)`

Methods inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
`charsPerChunk, emitSelectionInformation, fillSelectionScriptTemplate, generateDeferredFragment, generatePrimaryFragment, generatePrimaryFragmentString, generateSelectionScript, generateSelectionScript, getDeferredFragmentPrefix, getDeferredFragmentSuffix, getDeferredFragmentSuffix2, getFragmentSubdir, getHostedFilename, getModulePrefix, getModuleSuffix2, getScriptChunkSeparator, link, link, maybeAddHostedModeFile, maybeOutputPropertyMap, readFileToStringBuffer, replaceAll, splitPrimaryJavaScript, supportsDevModeInJunit, wrapDeferredFragment, wrapPrimaryFragment`

Methods inherited from class com.google.gwt.core.ext.linker.AbstractLinker
`emitBytes, emitBytes, emitInputStream, emitInputStream, emitString, emitString, emitWithStrongName, emitWithStrongName`

Methods inherited from class com.google.gwt.core.ext.Linker
`isShardable, relink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleScriptLinker

    public SingleScriptLinker()

Method Detail

### getDescription

    public java.lang.String getDescription()

  Description copied from class: `Linker`
  Returns a human-readable String describing the Linker.

  Specified by:
    `getDescription` in class `Linker`

### doEmitCompilation

    protected java.util.Collection<Artifact<?>> doEmitCompilation(TreeLogger logger,
                                                                  LinkerContext context,
                                                                  CompilationResult result,
                                                                  ArtifactSet artifacts)
                                                           throws UnableToCompleteException

  Overrides:
    `doEmitCompilation` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

### emitSelectionScript

    protected EmittedArtifact emitSelectionScript(TreeLogger logger,
                                                  LinkerContext context,
                                                  ArtifactSet artifacts)
                                           throws UnableToCompleteException

  Overrides:
    `emitSelectionScript` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

### getCompilationExtension

    protected java.lang.String getCompilationExtension(TreeLogger logger,
                                                       LinkerContext context)
                                                throws UnableToCompleteException

  Unimplemented. Normally required by `doEmitCompilation(TreeLogger, LinkerContext, CompilationResult, ArtifactSet)`.

  Specified by:
    `getCompilationExtension` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

### getModulePrefix

    protected java.lang.String getModulePrefix(TreeLogger logger,
                                               LinkerContext context,
                                               java.lang.String strongName)
                                        throws UnableToCompleteException

  Unimplemented. Normally required by `doEmitCompilation(TreeLogger, LinkerContext, CompilationResult, ArtifactSet)`.

  Specified by:
    `getModulePrefix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

### getModuleSuffix

    protected java.lang.String getModuleSuffix(TreeLogger logger,
                                               LinkerContext context)
                                        throws UnableToCompleteException

  Unimplemented. Normally required by `doEmitCompilation(TreeLogger, LinkerContext, CompilationResult, ArtifactSet)`.

  Overrides:
    `getModuleSuffix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

### getSelectionScriptTemplate

    protected java.lang.String getSelectionScriptTemplate(TreeLogger logger,
                                                          LinkerContext context)
                                                   throws UnableToCompleteException

  Specified by:
    `getSelectionScriptTemplate` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD